﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using PlatformSDKSample;

namespace DigitalZoom
{
    public partial class ViewCell : Form
    {
        IntPtr hChannel = IntPtr.Zero;

        public ViewCell()
        {
            InitializeComponent();
        }

        public void CreateLiveChannel()
        {
            PlatformSDK.TStreamInfo streamInfo = new PlatformSDK.TStreamInfo();

            streamInfo.streamSource = PlatformSDK.EStreamSource.VAST;
            streamInfo.streamMode = PlatformSDK.EStreamMode.normalStream;
            streamInfo.serverIP = "10.16.105.85";
            streamInfo.serverUserName = "admin";
            streamInfo.serverPassword = "aaaa1111";
            streamInfo.serverPort = 3454;
            streamInfo.cameraID = "C_2";
            streamInfo.streamIndex = 1;
            streamInfo.pfStreamDataCB = null;
            streamInfo.pfPCMDataCB = null;
            streamInfo.pfYV12DataCB = null;
            streamInfo.pfVideoDecodeCB = null;
            streamInfo.pfStreamStatusCB = null;
            streamInfo.hDisplayWindow = panel2.Handle;
            streamInfo.capVersion = PlatformSDK.ECapabilityVersion.VAST;
            streamInfo.useSSL = false;
            streamInfo.videoDisplayMode = PlatformSDK.EVideoDisplayMode.fillViewCell;

            int ret = PlatformSDK.CreateLiveChannel(ref hChannel, ref streamInfo);

            EventLog.Write("PlatformSDK.CreateLiveChannel Ret = {0:X}", ret);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            PlatformSDK.TDigitalZoomInfo digitalZoomInfo = new PlatformSDK.TDigitalZoomInfo();
            digitalZoomInfo.top = Convert.ToInt32(textBox1.Text);
            digitalZoomInfo.bottom = Convert.ToInt32(textBox2.Text);
            digitalZoomInfo.left = Convert.ToInt32(textBox3.Text);
            digitalZoomInfo.right = Convert.ToInt32(textBox4.Text);

            int ret = PlatformSDK.StartDigitalZoom(hChannel, ref digitalZoomInfo);
            EventLog.Write("PlatformSDK.StartDigitalZoom Ret = {0:X}", ret);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            int ret = PlatformSDK.StopDigitalZoom(hChannel);
            EventLog.Write("PlatformSDK.StopDigitalZoom Ret = {0:X}", ret);
        }
    }
}
