﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PlatformSDKSample
{
    #region EventLog

    public static class EventLog
    {
        public static string FilePath { get; set; }

        public static void Write(string format, params object[] arg)
        {
            Write(string.Format(format, arg));
        }

        public static void Write(string message)
        {
            Console.WriteLine("{0:yyyy/MM/dd HH:mm:ss.fff} {1}", DateTime.Now, message);
        }
    }

    #endregion EventLog
}
