﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PlatformSDKSample
{
    public class FrameCounter
    {
        public FrameCounter()
        {
        }

        public float AverageFramesPerSecond { get; private set; }

        private int lastTime = System.Environment.TickCount;
        private int fps = 1;
        private int frames;

        public void Update()
        {
            var currentTick = System.Environment.TickCount;
            if (currentTick - lastTime >= 1000)
            {
                fps = frames;
                frames = 0;
                lastTime = currentTick;
            }
            frames++;
        }

        public int getFPS()
        {
            return fps;
        }
//         public long TotalFrames { get; private set; }
//         public float TotalSeconds { get; private set; }
//         public float AverageFramesPerSecond { get; private set; }
//         public float CurrentFramesPerSecond { get; private set; }
// 
//         public const int MAXIMUM_SAMPLES = 10;
// 
//         private Queue<float> _sampleBuffer = new Queue<float>();
// 
//         public bool Update(float deltaTime)
//         {
//             CurrentFramesPerSecond = 1.0f / deltaTime;
// 
//             _sampleBuffer.Enqueue(CurrentFramesPerSecond);
// 
//             if (_sampleBuffer.Count > MAXIMUM_SAMPLES)
//             {
//                 _sampleBuffer.Dequeue();
//                 AverageFramesPerSecond = _sampleBuffer.Average(i => i);
//             }
//             else
//             {
//                 AverageFramesPerSecond = CurrentFramesPerSecond;
//             }
// 
//             TotalFrames++;
//             TotalSeconds += deltaTime;
//             return true;
//         }
    }
}
